Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class CompositeEntityIdentifier.NameImpl

    java.lang.Object
      org.jasig.portal.groups.CompositeEntityIdentifier.NameImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, javax.naming.Name

Enclosing class:
  CompositeEntityIdentifier

    private class CompositeEntityIdentifier.NameImpl

extends java.lang.Object
implements javax.naming.Name

Field Summary
`(package private) java.util.List` | `components`

Fields inherited from interface javax.naming.Name
`serialVersionUID`

Constructor Summary
`CompositeEntityIdentifier.NameImpl()`
`CompositeEntityIdentifier.NameImpl(java.util.List comps)`

Method Summary
`javax.naming.Name` | `add(int posn, java.lang.String comp)`
`javax.naming.Name` | `add(java.lang.String comp)`
`javax.naming.Name` | `addAll(int posn, javax.naming.Name n)`
`javax.naming.Name` | `addAll(javax.naming.Name n)`
`java.lang.Object` | `clone()`
`int` | `compareTo(java.lang.Object obj)`
`boolean` | `endsWith(javax.naming.Name n)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `get(int posn)`
`java.util.Enumeration` | `getAll()`
`private java.util.Enumeration` | `getComponents(int start, int limit)`
`private javax.naming.Name` | `getNameComponents(int start, int limit)`
`javax.naming.Name` | `getPrefix(int posn)`
`javax.naming.Name` | `getSuffix(int posn)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.lang.Object` | `remove(int posn)`
`int` | `size()`
`boolean` | `startsWith(javax.naming.Name n)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### components

    java.util.List components

Constructor Detail

### CompositeEntityIdentifier.NameImpl

    public CompositeEntityIdentifier.NameImpl()

### CompositeEntityIdentifier.NameImpl

    public CompositeEntityIdentifier.NameImpl(java.util.List comps)

Method Detail

### add

    public javax.naming.Name add(java.lang.String comp)

  Specified by:
    `add` in interface `javax.naming.Name`

### add

    public javax.naming.Name add(int posn,
                                 java.lang.String comp)

  Specified by:
    `add` in interface `javax.naming.Name`

### addAll

    public javax.naming.Name addAll(int posn,
                                    javax.naming.Name n)

  Specified by:
    `addAll` in interface `javax.naming.Name`

### addAll

    public javax.naming.Name addAll(javax.naming.Name n)

  Specified by:
    `addAll` in interface `javax.naming.Name`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `javax.naming.Name`
  Overrides:
    `clone` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Specified by:
    `compareTo` in interface `javax.naming.Name`

### endsWith

    public boolean endsWith(javax.naming.Name n)

  Specified by:
    `endsWith` in interface `javax.naming.Name`

### get

    public java.lang.String get(int posn)

  Specified by:
    `get` in interface `javax.naming.Name`

### getAll

    public java.util.Enumeration getAll()

  Specified by:
    `getAll` in interface `javax.naming.Name`

### getPrefix

    public javax.naming.Name getPrefix(int posn)

  Specified by:
    `getPrefix` in interface `javax.naming.Name`

### getSuffix

    public javax.naming.Name getSuffix(int posn)

  Specified by:
    `getSuffix` in interface `javax.naming.Name`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `javax.naming.Name`

### remove

    public java.lang.Object remove(int posn)
                            throws javax.naming.InvalidNameException

  Specified by:
    `remove` in interface `javax.naming.Name`
  Throws:
    `javax.naming.InvalidNameException`

### size

    public int size()

  Specified by:
    `size` in interface `javax.naming.Name`

### startsWith

    public boolean startsWith(javax.naming.Name n)

  Specified by:
    `startsWith` in interface `javax.naming.Name`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getComponents

    private java.util.Enumeration getComponents(int start,
                                                int limit)

### getNameComponents

    private javax.naming.Name getNameComponents(int start,
                                                int limit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD